function c = scriptinvAAstar(b,Z)
% This function computes (A A*)^-1 b.  See section 6.2 of Demanet+Hand (2014).
% A*(lambda) = sum_i lambda_i z_i z_i^t where z_i are the rows of Z
%
% Z is m-by-n, b and c are m-by-1

AAstar = (Z*Z').^2;
c = AAstar \ b;
end